from odoo import models, fields, api

class ProductTemplate(models.Model):
    _inherit = 'product.template'

    website_description_limited = fields.Text(
        compute='_compute_website_description_limited',
        string='Website Description Limited'
    )

    @api.depends('website_description')
    def _compute_website_description_limited(self):
        for product in self:
            if product.website_description:
                product.website_description_limited = product.website_description.splitlines()[0]
                if len(product.website_description_limited) > 240:
                    product.website_description_limited = product.website_description_limited[:240] + '...'
            else:
                product.website_description_limited = ''
